<% local form, viewlibrary, page_info, session = ... %>
<% require("viewfunctions") %>

<% displaycommandresults({"createdatabase"}, session) %>

<H1><%= html.html_escape(form.label) %></H1>
<DL>
<% for i,table in ipairs(form.value) do %>
	<li>
	<% if viewlibrary.check_permission("viewtable") then %>
		<%= html.link{value = "viewtable?table=" .. table, label=table} %>
	<% else %>
		<%= html.html_escape(table) %>
	<% end %>
<% end %>
<% if #form.value == 0 and viewlibrary.check_permission("createdatabase") then %>
<DT>Create Database</DT><DD>
<form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/createdatabase") %>">
<input class="submit" type="submit" value="Create"></DD>
</form>
</DD>
<% end %>
</DL>
